```
ACKNOWLEDGEMENT, CREDITS, OSS
```

# Acknowledgement

January 16, 2019 by typora.io

**Typora** is developed by [@LeeAbner](https://twitter.com/LeeAbner). All rights reserved.

## Localization Contributors

- Simplified Chinese by [abnerlee](https://github.com/abnerlee), [NoDotCat](https://github.com/NoDotCat), [HowardTangHw](https://github.com/HowardTangHw), [Emphasia](https://github.com/Emphasia), [DHclly](https://github.com/DHclly), [Mornwind](https://github.com/Mornwind), [iamtwz](https://github.com/iamtwz)
- Traditional Chinese by [cyberrob](https://github.com/cyberrob), [pan93412](https://github.com/pan93412), [Meowcolm024](https://github.com/Meowcolm024), [ralphchung](https://github.com/ralphchung), [pjchender](https://github.com/pjchender), [anemology](https://github.com/anemology)
- Polish by [iriusturar](https://github.com/iriusturar), [Vegebutcher](https://github.com/Vegebutcher)
- Korean by [ryush00](https://github.com/ryush00), [marigold9124](https://github.com/marigold9124), [vreality64](https://github.com/vreality64), [yuririri](https://github.com/yuririri), [Third9](https://github.com/Third9), [ksundong](https://github.com/ksundong), [zfanta](https://github.com/zfanta), [cozyplanes](https://github.com/cozyplanes)
- Italian by [starise](https://github.com/starise), [jethro17](https://github.com/jethro17)
- Spanish by [thepiratejester](https://github.com/thepiratejester), [rgomez90](https://github.com/rgomez90), [iiiGerardoiii](https://github.com/iiiGerardoiii)
- French by [MOrdinateur](https://github.com/MOrdinateur), [cnovel](https://github.com/cnovel), [m0wh](https://github.com/m0wh)
- Russian by [dragomano](https://github.com/dragomano)
- Japanese by [tomochan001](https://github.com/tomochan001), [gageas](https://github.com/gageas), [7ma7X](https://github.com/7ma7X), [shuuji3](https://github.com/shuuji3), [ScratchBuild](https://github.com/ScratchBuild)
- Portuguese (Brazil) by [akz92](https://github.com/akz92), [dgsnunes](https://github.com/dgsnunes)
- German by [rcvd](https://github.com/rcvd), Gert Massheimer, [Indeximal](https://github.com/Indeximal), [tobiasvonarx](https://github.com/tobiasvonarx)
- German (Switzerland) by [Indeximal](https://github.com/Indeximal)
- Czech by [byDave251](https://github.com/byDave251), [psimacek](https://github.com/psimacek), [AlexKratky](https://github.com/AlexKratky), [bydavenet](https://github.com/bydavenet), [petrsvag](https://github.com/petrsvag)
- Greek by [kiriakosv](https://github.com/kiriakosv)
- Croatian by [diomed](https://github.com/diomed), [hrvoj3e](https://github.com/hrvoj3e)
- Hungarian by [mocsa](https://github.com/mocsa)
- Portuguese (Portugal) by [jcamilo93](https://github.com/jcamilo93)
- Galician by [nunhes](https://github.com/nunhes)
- Indonesia by [snatalius](https://github.com/snatalius)
- Vietnamese by [1234hdpa](https://github.com/1234hdpa)
- Swedish by [Sandskär](https://github.com/passar), [FelixZY](https://github.com/FelixZY)
- Swiss German by [Indeximal](https://github.com/Indeximal)
- Catalan by [jmigual](https://github.com/jmigual)
- Danish by [archfrog](https://github.com/archfrog)
- Persian by [sadra](https://github.com/sadra)
- Indonesian by [snatalius](https://github.com/snatalius)
- Dutch by Melle Dijkstra, [vidavidorra](https://github.com/vidavidorra)
- Slovak by Petr Mátl
- Ukrainian by [oleksavyshnivsky](https://github.com/oleksavyshnivsky)
- Persian by [sadra](https://github.com/sadra)
- Turkish by Bilgenur Üçgül, Alisalih Üçgül

## 3rd Party Libraries / Icons

Following codes / libraries make it happen, thanks for their work.

### [MathJax](http://www.mathjax.org/)

Copyright [yyyy][\name of copyright owner]

Licensed under the Apache License, Version 2.0 (the “License”);

you may not use this file except in compliance with the License.

You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an “AS IS” BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and limitations under the License.

### [Bootstrap](http://getbootstrap.com/)

Copyright (c) 2011-2014 Twitter, Inc

MIT License http://opensource.org/licenses/MIT

### [JQuery](https://support.typora.io/Acknowledgement/jquery.org)

copyright 2005, 2014 jQuery Foundation and other contributors, https://jquery.org/ This software consists of voluntary contributions made by many individuals. For exact contribution history, see the revision history available at https://github.com/jquery/jquery The following license applies to all parts of this software except as documented below:

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

### [CodeMirror](http://codemirror.net/)

Copyright (C) 2014 by Marijn Haverbeke [marijnh@gmail.com](mailto:marijnh@gmail.com) and others

MIT License http://opensource.org/licenses/MIT

### [rangy](https://github.com/timdown/rangy)

Copyright (c) 2014 Tim Down

MIT License http://opensource.org/licenses/MIT

### [Exoskeleton](http://exosjs.com/)

Copyright (c) 2013 Paul Miller ([http://paulmillr.com](http://paulmillr.com/))

Copyright (c) 2010-2011 Jeremy Ashkenas, DocumentCloud Inc.

MIT License http://opensource.org/licenses/MIT

### [autoComplt](https://github.com/Fischer-L/autoComplt)

Copyright (C) 2013 Fischer Liu

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

### [PDF.js](http://mozilla.github.io/pdf.js/)

Licensed under the [Apache License](https://github.com/mozilla/pdf.js/blob/master/LICENSE), Version 2.0 (the “License”);

you may not use this file except in compliance with the License.

You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an “AS IS” BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and limitations under the License.

### [YAPDFKit](https://github.com/mipmip/YAPDFKit)

[MIT License](https://github.com/mipmip/YAPDFKit/blob/master/LICENSE)

### [PDF Designer](http://www.petitmonte.com/pdfdesigner/)

The MIT License (MIT)

Copyright (c) 2015 Takeshi Okamoto

### [Font Awesome](http://fortawesome.github.io/Font-Awesome/)

#### Font License

- Applies to all desktop and webfont files in the following directory: `font-awesome/fonts/`.
- License: SIL OFL 1.1
- URL: http://scripts.sil.org/OFL

#### Code License

- Applies to all CSS and LESS files in the following directories: `font-awesome/css/`, `font-awesome/less/`, and `font-awesome/scss/`.
- License: MIT License
- URL: http://opensource.org/licenses/mit-license.html

#### Documentation License

- Applies to all Font Awesome project files that are not a part of the Font or Code licenses.
- License: CC BY 3.0
- URL: http://creativecommons.org/licenses/by/3.0/

### [jquery-localize](https://github.com/coderifous/jquery-localize)

Copyright (c) Jim Garvin (http://github.com/coderifous), 2008.

Dual licensed under the GPL (http://dev.jquery.com/browser/trunk/jquery/GPL-LICENSE.txt) and MIT (http://dev.jquery.com/browser/trunk/jquery/MIT-LICENSE.txt) licenses.

Written by Jim Garvin (@coderifous) for use on LMGTFY.com. Please use it, and contribute changes.

http://github.com/coderifous/jquery-localize

Based off of Keith Wood’s Localisation jQuery plugin. http://keith-wood.name/localisation.html

### [The Alphanum Algorithm](http://www.davekoelle.com/alphanum.html)

[MIT License](https://opensource.org/licenses/MIT)

Copyright © 1997 - 2010 David Koelle ([dmkoelle@gmail.com](mailto:dmkoelle@gmail.com)). All rights reserved.

### [MacGap](https://github.com/MacGapProject/MacGap1)

MacGap was ported from phonegap-mac, and is under the same license (MIT)

MIT License http://opensource.org/licenses/MIT

### [Sparkle](http://sparkle-project.org/)

Copyright (c) 2006-2013 Andy Matuschak.

Copyright (c) 2009-2013 Elgato Systems GmbH.

Copyright (c) 2011-2014 Kornel Lesiński.

Copyright (c) 2014 C.W. Betts.

Copyright (c) 2014 Petroules Corporation.

Copyright (c) 2014 Big Nerd Ranch.

All rights reserved.

MIT License http://opensource.org/licenses/MIT

### [Markdown](http://daringfireball.net/projects/markdown)

Copyright © 2004, John Gruber

http://daringfireball.net/

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name “Markdown” nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

This software is provided by the copyright holders and contributors “as is” and any express or implied warranties, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose are disclaimed. In no event shall the copyright owner or contributors be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including, but not limited to, procurement of substitute goods or services; loss of use, data, or profits; or business interruption) however caused and on any theory of liability, whether in contract, strict liability, or tort (including negligence or otherwise) arising in any way out of the use of this software, even if advised of the possibility of such damage.

### [Gitbook](https://github.com/GitbookIO/gitbook)

[Apache License](https://github.com/GitbookIO/gitbook/blob/master/LICENSE)

### [Pixyll](https://support.typora.io/Acknowledgement/pixyll.com)

Pixyll

A simple, beautiful theme for Jekyll that emphasizes content rather than

aesthetic fluff.

Best served with BASSCSS (http://jxnblk.github.io/basscss)

Crafted with <3 by John Otander (@4lpine) - ©2015 John Otander

MIT License http://opensource.org/licenses/MIT

### [markdown-it-emoji](https://github.com/markdown-it/markdown-it-emoji)

MIT License http://opensource.org/licenses/MIT

### [emojilib](https://github.com/muan/emojilib)

MIT License http://opensource.org/licenses/MIT

### [Electron](https://github.com/atom/electron)

MIT License https://github.com/atom/electron/blob/master/LICENSE

### [fs-extra](https://github.com/jprichardson/node-fs-extra)

MIT License https://github.com/jprichardson/node-fs-extra/blob/master/LICENSE

### [winsparkle-node](https://github.com/typora/winsparkle-node)

MIT License

### [lowdb](https://github.com/typicode/lowdb)

MIT License https://github.com/typicode/lowdb/blob/master/LICENSE

### [SpellChecker Node Module](https://github.com/atom/node-spellchecker)

MIT License https://github.com/atom/node-spellchecker/blob/master/LICENSE.md

### [ionicons](http://ionicons.com/)

MIT License http://opensource.org/licenses/MIT

### [win-mouse](https://www.npmjs.com/package/win-mouse)

[MIT](http://opensource.org/licenses/MIT) License

### [iconv-lite](https://github.com/ashtuchkin/iconv-lite)

MIT License https://github.com/ashtuchkin/iconv-lite/blob/master/LICENSE

### [jschardet](https://github.com/aadsm/jschardet)

LGPL License

### [is-utf8](https://github.com/wayfind/is-utf8)

[MIT](https://github.com/wayfind/is-utf8/blob/master/LICENSE)

### [HJson](https://github.com/laktak/hjson-js)

MIT License https://github.com/laktak/hjson-js/blob/master/LICENSE

### [js-sequence](https://bramp.github.io/js-sequence-diagrams/)

MIT License https://github.com/bramp/js-sequence-diagrams/blob/master/LICENCE

### [Flowchart.js](http://flowchart.js.org/)

MIT License https://github.com/adrai/flowchart.js/blob/master/license

### [Mermaid](https://knsv.github.io/mermaid/#mermaid)

MIT License https://github.com/knsv/mermaid/blob/master/LICENSE

### [lighttable-elixir](https://github.com/awetzel/lighttable-elixir)

MIT License https://github.com/awetzel/lighttable-elixir/blob/master/codemirror/LICENSE

### [iPicUploader](https://github.com/toolinbox/iPicUploader)

MIT License https://github.com/toolinbox/iPicUploader/blob/master/LICENSE

### [Multimedia Element Set](http://www.flaticon.com/packs/multimedia-element-set)

Icon made by [hadrein](http://hadrien.co/), [CC3.0](https://creativecommons.org/licenses/by/3.0/) license.

### [Vaadin icons](https://vaadin.com/icons)

Icon made by [vaadin](https://vaadin.com/icons), [CC3.0](https://creativecommons.org/licenses/by/3.0/) license.

### [fs-plus](https://github.com/atom/fs-plus)

[MIT License](https://github.com/atom/fs-plus/blob/master/LICENSE.md)

### [node-pathwatcher](http://atom.github.io/node-pathwatcher/)

[MIT License](https://github.com/atom/node-pathwatcher/blob/master/LICENSE.md)

## [DOMPurify](https://github.com/cure53/DOMPurify)

[Apache-2.0](https://github.com/cure53/DOMPurify/blob/master/LICENSE)

### [wcwidth.js](https://github.com/mycoboco/wcwidth.js)

[MIT License](https://github.com/mycoboco/wcwidth.js/blob/master/LICENSE.md)

### [morphdom](https://github.com/patrick-steele-idem/morphdom)

[MIT License](https://github.com/patrick-steele-idem/morphdom/blob/master/LICENSE)

### [WebViewProxy](https://github.com/marcuswestin/WebViewProxy)

[MIT License](https://github.com/marcuswestin/WebViewProxy/blob/master/LICENSE)

### [Sentry](https://github.com/getsentry)

[BSD 3-Clause License](https://github.com/getsentry/sentry-javascript/blob/master/LICENSE)

hosted on [Github](https://github.com/typora/wiki-website).